FleetbaseFleetbase

Work Orders

Work orders coordinate maintenance or operational jobs, including target asset, assignee, priority, checklist, budget, due date, and completion state.

The Work Order object

A work order is an operational task wrapper used to assign and track maintenance or other fleet work.
Attributes
idstringoptional

Public work order identifier.

codestringoptional

Work order code.

subjectstringoptional

Work order subject.

categorystringoptional

Work order category.

statusstringoptional

Work order status.

prioritystringoptional

Work order priority.

targetobjectoptional

Target resource, when loaded.

assigneeobjectoptional

Assigned vendor or contact, when loaded.

checklistarrayoptional

Checklist items.

metaobjectoptional

Additional work order metadata.

The Work Order object
{
  "id": "work_order_6JpL9Qx2Vz",
  "code": "WO-AB12CD34",
  "subject": "Replace rear tire",
  "category": "corrective_maintenance",
  "status": "open",
  "priority": "high",
  "target_name": "ABC123",
  "assignee_name": "Acme Parts",
  "completion_percentage": 0,
  "updated_at": "2026-05-07T08:30:00.000000Z",
  "created_at": "2026-05-07T08:30:00.000000Z"
}
POST/v1/work-orders

Create a Work Order

Create a work order.

Body parameters
subjectstringoptional

Work order subject.

categorystringoptional

Work order category.

statusstringoptional

Work order status.

prioritystringoptional

Priority value.

target_typestringoptional

Target resource type such as fleet-ops:vehicle or fleet-ops:equipment.

targetstringoptional

Target resource public ID.

assignee_typestringoptional

Assignee resource type such as fleet-ops:vendor or fleet-ops:contact.

assigneestringoptional

Assignee public ID.

checklistarrayoptional

Checklist items.

metaobjectoptional

Additional metadata.

POST/v1/work-orders
curl -X POST https://api.fleetbase.io/v1/work-orders \
  -H "Authorization: Bearer flb_live_…" \
  -H "Content-Type: application/json" \
  -d '{
  "subject": "Replace rear tire",
  "category": "corrective_maintenance",
  "status": "open",
  "priority": "high",
  "target_type": "fleet-ops:vehicle",
  "target": "{{vehicle_id}}",
  "assignee_type": "fleet-ops:vendor",
  "assignee": "{{vendor_id}}"
}'
201 OK
{
  "id": "<string>",
  "object": "work_orders"
}
GET/v1/work-orders

Query Work Orders

Query work orders.

Query parameters
querystringoptional

Search query for work orders.

limitintegeroptional

Maximum number of records to return.

pageintegeroptional

Page number for paginated results.

sortstringoptional

Sort expression, such as -created_at.

categorystringoptional

Filter by work order category.

statusstringoptional

Filter by work order status.

prioritystringoptional

Filter by priority.

GET/v1/work-orders
curl https://api.fleetbase.io/v1/work-orders \
  -H "Authorization: Bearer flb_live_…"
200 OK
{
  "id": "<string>",
  "object": "work_orders"
}
GET/v1/work-orders

Retrieve a Work Order

Retrieve a work order.

GET/v1/work-orders
curl https://api.fleetbase.io/v1/work-orders \
  -H "Authorization: Bearer flb_live_…"
200 OK
{
  "id": "<string>",
  "object": "work_orders"
}
PUT/v1/work-orders

Update a Work Order

Update a work order.

Body parameters
subjectstringoptional

Work order subject.

categorystringoptional

Work order category.

statusstringoptional

Work order status.

prioritystringoptional

Priority value.

target_typestringoptional

Target resource type such as fleet-ops:vehicle or fleet-ops:equipment.

targetstringoptional

Target resource public ID.

assignee_typestringoptional

Assignee resource type such as fleet-ops:vendor or fleet-ops:contact.

assigneestringoptional

Assignee public ID.

checklistarrayoptional

Checklist items.

metaobjectoptional

Additional metadata.

PUT/v1/work-orders
curl -X PUT https://api.fleetbase.io/v1/work-orders \
  -H "Authorization: Bearer flb_live_…" \
  -H "Content-Type: application/json" \
  -d '{
  "status": "in_progress"
}'
200 OK
{
  "id": "<string>",
  "object": "work_orders"
}
DELETE/v1/work-orders

Delete a Work Order

Delete a work order.

DELETE/v1/work-orders
curl -X DELETE https://api.fleetbase.io/v1/work-orders \
  -H "Authorization: Bearer flb_live_…"
200 OK
{
  "id": "<string>",
  "deleted": true
}
POST/v1/work-orders/send

Send Work Order

Send this work order to its assigned vendor or contact.

POST/v1/work-orders/send
curl -X POST https://api.fleetbase.io/v1/work-orders/send \
  -H "Authorization: Bearer flb_live_…"
200 OK
{
  "id": "<string>",
  "object": "work_orders"
}
Work Orders | Fleetbase